<?php

namespace src\Utils;

use Exception;

class validator
{
    public static function validateRequiredFields($data, $requiredFields)
    {
        foreach ($requiredFields as $field) {
            if (empty($data[$field])) {
                throw new Exception("Campo obrigatório ausente: $field");
            }
        }
    }
}